Page MenuHomeFreeBSD

D10738.id28552.diff
No OneTemporary

D10738.id28552.diff

Index: usr.sbin/bsdinstall/scripts/script
===================================================================
--- usr.sbin/bsdinstall/scripts/script
+++ usr.sbin/bsdinstall/scripts/script
@@ -42,6 +42,11 @@
# DISTRIBUTIONS
# BSDINSTALL_DISTDIR
+#
+# Default name of the ZFS boot-pool
+#
+: ${ZFSBOOT_POOL_NAME:=zroot}
+
############################################################ GLOBALS
#
@@ -53,8 +58,6 @@
error()
{
- [ -f "$PATH_FSTAB" ] && bsdinstall umount
-
local file
f_getvar "$VAR_DEBUG_FILE#+" file
if [ "$file" ]; then
@@ -63,6 +66,13 @@
# No need to restore title, pining for the fjords
fi
+ [ -f "$PATH_FSTAB" ] || exit
+ if [ "$ZFSBOOT_DISKS" ]; then
+ zpool export $ZFSBOOT_POOL_NAME
+ else
+ bsdinstall umount
+ fi
+
exit 1
}
@@ -99,8 +109,8 @@
bsdinstall zfsboot
else
bsdinstall scriptedpart "$PARTITIONS"
+ bsdinstall mount
fi
-bsdinstall mount
# Unpack distributions
bsdinstall checksum
@@ -128,7 +138,11 @@
fi
bsdinstall entropy
-bsdinstall umount
+if [ "$ZFSBOOT_DISKS" ]; then
+ zpool export $ZFSBOOT_POOL_NAME
+else
+ bsdinstall umount
+fi
f_dprintf "Installation Completed at %s" "$( date )"

File Metadata

Mime Type
text/plain
Expires
Tue, Apr 7, 10:20 PM (11 h, 16 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
31052014
Default Alt Text
D10738.id28552.diff (1 KB)

Event Timeline